@import "../../styles/colors.scss";
@import "../../styles/responsive.scss";
@import "../../styles/fonts.scss";

.Header {
  &__nav__desktop {
    display: none;
  }
  &__nav__mobile {
    position: relative;
    padding: 20px;
    margin-bottom: 20px;
    text-align: right;
    &__list {
      position: absolute;
      margin: 0;
      right: 0;
      list-style: none;
      padding-left: 0;
      padding: 10px;
      &__item {
        margin: 10px auto;
        .Header__nav__mobile__link {
          text-decoration: none;
          color: $bgSecondaryColor;
          font-weight: bold;
        }
      }
    }
  }

  @include tablet {
    &__nav__mobile {
      display: none;
    }
    &__nav__desktop {
      display: block;
      padding: 20px;
      background-color: $bgMenu;
      box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
      &__list {
        list-style: none;
        padding-left: 0;
        margin: 0;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        &__item {
            &:first-of-type {
                margin-right: 20px;
            }
          .Header__nav__desktop__link {
            text-decoration: none;
            color: $bgSecondaryColor;
            font-weight: bold;
          }
        }
      }
    }
  }
}
